API reference OpenAPI 3.1
POST /auth/password/forgot

Password forgot

Public — no authentication application/json operation passwordForgot

Request

Content type: application/json · required

FieldTypeRequiredDescription
email string (email) Yes —
curl -X POST "$MONICHEK_API/auth/password/forgot" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "[email protected]"
}'
const res = await fetch(`${MONICHEK_API}/auth/password/forgot`, {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "email": "[email protected]"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/auth/password/forgot",
    json={
      "email": "[email protected]"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/auth/password/forgot');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'email' => '[email protected]',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

202 Accepted reset email queued

No response body.

Error responses

StatusMeaningBody
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.